version: '3.8'

services:
  mysql:
    image: mysql:8.0
    container_name: aufg_mysql
    restart: unless-stopped
    environment:
      MYSQL_ROOT_PASSWORD: root123
      MYSQL_DATABASE: aufg_laravel
      MYSQL_USER: laravel
      MYSQL_PASSWORD: laravel123
    ports:
      - "3307:3306"
    volumes:
      - mysql_data:/var/lib/mysql
      - ./docker/mysql/backup:/docker-entrypoint-initdb.d
    command: --default-authentication-plugin=mysql_native_password

volumes:
  mysql_data: